summaryrefslogtreecommitdiffstats
path: root/source/l/libvncserver/libvncserver.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libvncserver/libvncserver.SlackBuild')
-rwxr-xr-xsource/l/libvncserver/libvncserver.SlackBuild28
1 files changed, 19 insertions, 9 deletions
diff --git a/source/l/libvncserver/libvncserver.SlackBuild b/source/l/libvncserver/libvncserver.SlackBuild
index 1e22af589..5ed7f33a8 100755
--- a/source/l/libvncserver/libvncserver.SlackBuild
+++ b/source/l/libvncserver/libvncserver.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2007, 2014 Heinz Wiesinger, Amsterdam, NL
-# Copyright 2008, 2009, 2010, 2011, 2012, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,8 +24,11 @@
# Modified by Robby Workman <rworkman at slackware.com>
# Modified by Eric Hameleers <alien at slackware.com>
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libvncserver
VERSION=${VERSION:-$(echo LibVNCServer-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:--j7}
@@ -41,6 +44,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -63,7 +74,6 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-libvncserver
@@ -82,8 +92,6 @@ find . \
./autogen.sh
-# libva support broken and WONTFIX (for now) upstream.
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -92,13 +100,15 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --without-libva \
--disable-static \
- --build=$TARGET
+ --build=$TARGET || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
if [ -x client_examples/.libs/SDLvncviewer ]; then
cp -a client_examples/.libs/SDLvncviewer $PKG/usr/bin/SDLvncviewer
fi
@@ -108,7 +118,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/libvncserver-$VERSION
cp -a \
- AUTHORS COPYING* INSTALL NEWS README TODO \
+ AUTHORS COPYING* INSTALL NEWS* README* TODO* \
$PKG/usr/doc/libvncserver-$VERSION
# If there's a ChangeLog, installing at least part of the recent history